Bug 2126240 - Incorrect battery charge indication in Gnome
Summary: Incorrect battery charge indication in Gnome
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: upower
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-13 01:09 UTC by John Haiducek
Modified: 2023-12-05 23:26 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-05 23:26:37 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description John Haiducek 2022-09-13 01:09:08 UTC
Description of problem:

Gnome sometimes displays an incorrect battery charge level, showing 7-8% when the battery is fully charged.

Version-Release number of selected component (if applicable):

gnome-shell 42.4

How reproducible:

Occurs occasionally. Once the problem occurs it persists until the next reboot.

Steps to Reproduce:
1. Connect or disconnect the external power supply
2. Look at the battery charge indicator in the Gnome top bar
3. If the battery charge level drops, note that /sys/class/power_supply/BAT0/charge_now still indicates the correct charge level

Actual results:

Occasionally the battery charge level drops dramatically when the external power supply is connected or disconnected. Once this occurs, the charge level displayed by Gnome maxes out at 7-8% even when the battery is fully charged. Lower charge levels appear as a percentage of this maximum (e.g. Gnome will show 3-4% when the battery is actually at a 50% charge).

Expected results:

Gnome should show a charge level consistent with /sys/class/power_supply

Additional info:

Hardware is a late 2013 MacBook Air.

Comment 1 John Haiducek 2022-09-16 14:07:28 UTC
Update: It looks like the problem might be in upower. acpi gives the correct charge level, but the upower -i and upower -d give the same percentage shown in the Gnome top bar. Restarting the upower daemon (systemctl restart upower) causes the Gnome power display to immediately reset to the correct charge level.

Comment 2 Ben Cotton 2023-04-25 17:55:04 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 3 John Haiducek 2023-04-25 18:52:51 UTC
Changed 'version' to 37 since the problem still occurs in Fedora 37 with gnome-shell 43.4.

Comment 4 John Haiducek 2023-04-25 18:55:03 UTC
Changed 'component' to 'upower' since the actual problem appears to be with upower, not gnome-shell.

Comment 5 Aoife Moloney 2023-11-23 00:22:31 UTC
This message is a reminder that Fedora Linux 37 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 37 on 2023-12-05.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '37'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 37 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 6 Aoife Moloney 2023-12-05 23:26:37 UTC
Fedora Linux 37 entered end-of-life (EOL) status on None.

Fedora Linux 37 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.